"""
    Fink SQL Rest API

    Flink SQL Rest API  # noqa: E501

    The version of the OpenAPI document: v1
    Generated by: https://openapi-generator.tech
"""


import unittest

import flink_sql_gateway_client
from flink_sql_gateway_client.api.flink_sql_api import FlinkSqlApi  # noqa: E501


class TestFlinkSqlApi(unittest.TestCase):
    """FlinkSqlApi unit test stubs"""

    def setUp(self):
        self.api = FlinkSqlApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_cancel_job(self):
        """Test case for cancel_job

        Cancel Flink SQL job in session.  # noqa: E501
        """
        pass

    def test_cancel_session(self):
        """Test case for cancel_session

        Cancel Flink SQL job in session.  # noqa: E501
        """
        pass

    def test_create_session(self):
        """Test case for create_session

        Creates a session to run flink sql jobs  # noqa: E501
        """
        pass

    def test_execute_statement(self):
        """Test case for execute_statement

        Executes Flink SQL statement in session.  # noqa: E501
        """
        pass

    def test_get_job_results(self):
        """Test case for get_job_results

        Get results of a Flink SQL job.  # noqa: E501
        """
        pass

    def test_get_job_status(self):
        """Test case for get_job_status

        Get Flink SQL job status in session.  # noqa: E501
        """
        pass

    def test_heartbeat_session(self):
        """Test case for heartbeat_session

        Executes Flink SQL heartbeat to keep session alive.  # noqa: E501
        """
        pass


if __name__ == "__main__":
    unittest.main()
